{% extends "base.html" %}

{% load staticfiles %}

{% block title %}Locations{% endblock %}

{% block content %}

    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">
                Locations
            </h3>
        </div>

        <div class="box-body">
            <div class="form-group">
                <div class="col-sm-10 col-sm-offset-1">
                    <div class="table-responsive" id="locations_table">
                        <table class="table table-hover text-bold" width="100%">
                            <thead class="bg-green-gradient">
                                <tr>
                                    <td align="center" width="7%">№</td>
                                    <td>Room</td>
                                    <td>Shelving</td>
                                    <td>Shelf</td>
                                    <td align="center" width="7%">Edit</td>
                                    <td align="center" width="7%">Delete</td>
                                </tr>
                            </thead>
                            <tbody>
                                {% for location in locations %}
                                    <tr>
                                        <td align="center">{{ forloop.counter }}</td>
                                        <td>{{ location.room }}</td>
                                        <td>{{ location.shelving }}</td>
                                        <td>{{ location.shelf }}</td>
                                        <td align="center">
                                            <button type="button"
                                                    class="btn btn-primary btn-sm edit_modal"
                                                    data-toggle="modal"
                                                    data-location-id="{{ location.id }}"
                                                    data-target="#locations_modal">
                                                <i class="fa fa-edit"></i>
                                            </button>
                                        </td>
                                        <td align="center">
                                            <button type="button"
                                                    class="btn btn-danger btn-sm delete_location"
                                                    data-location-id="{{ location.id }}">
                                                <i class="fa fa-trash"></i>
                                            </button>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="box-footer clearfix">
            <div class="col-sm-6 col-sm-offset-5">
                <button type="button" class="btn btn-danger pull-right"
                    data-toggle="modal"
                    data-location-id="null"
                    data-target="#locations_modal">Add location
                </button>
            </div>
        </div>
    </div>

    <div id="locations_modal" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Location</h4>
                </div>
                <div class="modal-body">
                    <form class="form-horizontal" id="form_location"> {% csrf_token %}
                        <div class="form-group" hidden>
                            <label for="location_id" class="col-sm-3 control-label">ID</label>
                            <div class="col-sm-7" id="location_id_div">
                                <input id="location_id" class="form-control" type="text" value="" readonly>
                                <span class="help-block" id="location_id_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="location_room" class="col-sm-3 control-label">Location room</label>
                            <div class="col-sm-7" id="location_room_div">
                                <input id="location_room" class="form-control" type="text" value="">
                                <span class="help-block" id="location_room_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="location_shelving" class="col-sm-3 control-label">Location shelving</label>
                            <div class="col-sm-7" id="location_shelving_div">
                                <input id="location_shelving" class="form-control" type="text" value="">
                                <span class="help-block" id="location_shelving_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="location_shelf" class="col-sm-3 control-label">Location shelf</label>
                            <div class="col-sm-7" id="location_shelf_div">
                                <input id="location_shelf" class="form-control" type="text" value="">
                                <span class="help-block" id="location_shelf_help"></span>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger pull-left" id="delete_location">Delete</button>
                    <button type="button" class="btn btn-warning pull-left" id="save_location">Save</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascript %}
    {{ block.super }}

    <script type="text/javascript" src="{% static 'js/locations.js' %}"></script>
{% endblock %}

